pecl upgrade swoole

或重新编译安装 

http://blog.liuguofeng.com/php-source-code-compilation-and-installation-swoole-extension/

查看 Swoole 版本

[root@VM_0_2_centos ~]# php --ri swoole
PHP Warning:  Module 'swoole' already loaded in Unknown on line 0

swoole

swoole support => enabled
Version => 4.1.1
Author => Swoole Group[email: team@swoole.com]
coroutine => enabled
epoll => enabled
eventfd => enabled
signalfd => enabled
cpu affinity => enabled
spinlock => enabled
rwlock => enabled
pcre => enabled
zlib => enabled
mutex_timedlock => enabled
pthread_barrier => enabled
futex => enabled

Directive => Local Value => Master Value
swoole.enable_coroutine => On => On
swoole.aio_thread_num => 2 => 2
swoole.display_errors => On => On
swoole.use_namespace => On => On
swoole.use_shortname => On => On
swoole.fast_serialize => Off => Off
swoole.unixsock_buffer_size => 8388608 => 8388608

出现错误提示

PHP Warning:  Module 'swoole' already loaded in Unknown on line 0

打开 php.ini

vim /usr/local/php/etc/php.ini

查找 swoole,插件被载入了两次,删除一个即可,删除重启

发表评论

电子邮件地址不会被公开。 必填项已用*标注